//Patriche Robert Cosmin
#include <iostream>
using namespace std;

void sommaMassimiColonne(int matrice[3][3], int righe, int colonne) {
    int somma = 0;

    for (int j = 0; j < colonne; j++) {
        int maxColonna = matrice[0][j];
        for (int i = 1; i < righe; i++) {
            if (matrice[i][j] > maxColonna) {
                maxColonna = matrice[i][j];
            }
        }
        somma += maxColonna;
    }

    cout << "Somma degli elementi massimi di ogni colonna: " << somma << endl;
}

int main() {
    int matrice[3][3] = {{1, 2, 3}, {4, 5, 6}, {7, 8, 9}};
    sommaMassimiColonne(matrice, 3, 3);
    return 0;
}
